/* Card.css */

.card {
  border: 1px solid #ccc;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  padding: 10px;
  margin: 10px;
  width: calc(50% - 10px); /* Divide the width by 2 to fit 2 cards in a row */
  max-width: 300px; /* Set a maximum width for each card */
}

.card-title {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
}
.head1 {
  font-size: 25px;
}
.head2 {
  font-size: 15px;
}
.head3 {
  font-size: 20px;
}
.card-content {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  color: rgb(74, 73, 73);
}
.bus-image {
  width: 80px; /* Set the width of the bus image */
  height: 80px; /* Set the height of the bus image */
  margin-top: 10px;
}

/* Optional: Add more styles to make the card look even more appealing */

.card:hover {
  border-color: rgb(159, 158, 158);
  box-shadow: 0 4px 8px rgba(35, 36, 36, 0.2);
}

.card:hover .left-column {
  background-color: grey;
  color: #fff;
}


/* Modal Styles */
.modal {
  display: block; /* Change to 'none' initially, and set to 'block' when modal is open */
  position: fixed;
  margin:auto;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  position: relative;
  background-color: white;
  margin: 5% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-width: 600px;
}

.close {
  color: #aaa;
  font-size: 28px;
  font-weight: bold;
  position: absolute;
  top: 0;
  right: 20px;
  cursor: pointer;
}

.close:hover {
  color: black;
}

/* Additional Styles for Passenger Details */
.passenger-details {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  
}

.passenger-details div {
  border: 1px solid #ccc;
  padding: 10px;
}
